# Note:  Some tests for this package are disabled by default, as they
# require network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox #
# "make noarch" type scenario is the third one.


Name:     perl-WWW-Myspace
Version:  0.60
Release:  4%{?dist}
Summary:  Access your myspace.com profile in Perl!

Group:    Development/Libraries
License:  GPL+ or Artistic
URL:      http://search.cpan.org/dist/WWW-Myspace
Source0:  http://search.cpan.org/CPAN/authors/id/G/GR/GRANTG/WWW-Myspace-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source99: filter-requires.sh
%define __perl_requires %{SOURCE99}

BuildArch:      noarch 
BuildRequires:  perl(Test::More), perl(Spiffy) >= 0.24, perl(YAML) >= 0.39
BuildRequires:  perl(File::Spec::Functions), perl(Contextual::Return)
BuildRequires:  perl(Class::DBI::AbstractSearch), perl(Config::General)
BuildRequires:  perl(DateTime), perl(IO::Prompt), perl(List::Compare)
BuildRequires:  perl(Locale::SubCountry), perl(Math::Round)
BuildRequires:  perl(Params::Validate), perl(Class::DBI)
BuildRequires:  perl(Class::DBI::Loader), perl(WWW::Mechanize)
BuildRequires:  perl(Time::Local), perl(DateTime::Format::MySQL)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
WWW::Myspace.pm provides methods to access your myspace.com account and
functions automatically. It provides a simple interface for scripts to log in,
access lists of friends, scan user's profiles, retreive profile data, send
messages, and post comments.


%prep
%setup -q -n WWW-Myspace-%{version}

# nix a bunch of weird files that seem to have creeped in...
rm `find . -type f -name '.*'`

# exec + doc == bad
cd sample_scripts
chmod -x *


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

# remove errant execute bit from the .pm's
find %{buildroot} -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'


%check
# see: http://rt.cpan.org/Ticket/Display.html?id=21543
rm t/pod-coverage.t

# tests are disabled for mock/plague build as they attempt to access the
# myspace site.
%{?_with_network_tests: make test }


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README Changes mysql.txt sample_scripts 
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_bindir}/*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.60-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.60-2
- rebuild for new perl

* Tue Nov 21 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.60-1
- update to 0.60

* Wed Oct 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.59-1
- update to 0.59

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.58-1
- update to 0.58

* Sun Sep 17 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.57-1
- and 0.57.....  
- pod coverage tests disabled for the moment. RT#21543

* Mon Sep 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.56-1
- update to 0.56 :)

* Sun Sep 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.55-1
- update to 0.55

* Tue Sep 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.54-1
- update to 0.54

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.53-1
- update to 0.53

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.52-3
- bump for mass rebuild

* Fri Aug 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.52-2
- nix some errant spec bits 

* Wed Aug 09 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.52-1
- update to 0.52

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.51-1
- update to 0.51
- Add two new BR's: Time::Local and DateTime::Format::MySQL
- Also add _with_network_tests wrapper

* Mon Jul 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.50-1
- update to latest release

* Wed Jul  5 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.49-1
- bump release for build

* Wed Jul  5 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.49-0.1
- filter requires...

* Thu Jun 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.49-0
- Initial spec file for F-E
